Create a dashboard layout
POST
/v1/dashboardlayout/
const url = 'https://example.com/v1/dashboardlayout/';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","category":0,"icon":"example","layout_json":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/dashboardlayout/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "category": 0, "icon": "example", "layout_json": "example" }'Create a new dashboard layout from a JSON definition.
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
name
string
account
required
string format: uuid
category
0- Created by user1- Standard2- AWS3- vSphere4- Other
integer
icon
string
layout_json
order
required
integer
created_at
required
string format: date-time
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
name
string
account
required
string format: uuid
category
0- Created by user1- Standard2- AWS3- vSphere4- Other
integer
icon
string
layout_json
order
required
integer
created_at
required
string format: date-time
Responses
Section titled “Responses”Media typeapplication/json
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
name
string
account
required
string format: uuid
category
0- Created by user1- Standard2- AWS3- vSphere4- Other
integer
icon
string
layout_json
order
required
integer
created_at
required
string format: date-time
Example
{ "category": 0}